Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to install the IBM Lotus Notes Client on Gentoo Linux
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
therealpete
n00b
n00b


Joined: 02 Feb 2004
Posts: 5

PostPosted: Tue Aug 01, 2006 10:55 am    Post subject: How to install the IBM Lotus Notes Client on Gentoo Linux Reply with quote

Don't let the requirements confuse you, you don 't need gnome or some special window manager installed.

emerge mozilla or seamonkey (firefox will not do)
Code:
emerge mozilla


create a file /etc/gre.conf with the following content
Code:

[1.7.12]
GRE_PATH=/usr/lib/mozilla


if you emerged seamonkey, the path above is /usr/lib/mozilla
It doesn't matter, what version of mozilla/seamonkey you emerged, don't get confused with the 1.7.12 above

emerge some needed gnome libraries:
Code:
emerge libgnomeprintui gnome-vfs


unpack the zip file from IBM and follow the instructions. IMPORTANT: After the installation you have to log out and log back in again, because the installation changes paths in bash_profile

when the installation is done, I would change the fonts under File/Lotus Notes Preferences/Default Fonts to Arial, Times New Roman etc.
also I would change the browser used by Notes under File/Mobile/Edit Current Location/Internet Browser to your preferred browser.

Lotus Notes is embedded in the eclipse rich client platform (rcp), which is written in Java. The Java runtime to run the rcp is delivered with Lotus Notes and is IBM Java 1.4. If you want to use your installed jdk you can change this in the file
Code:

$NOTESBIN/rcp/rcpinstall.properties


change the value in vm to your java runtime i.e.
Code:

vm=/usr/bin/java


CAUTION: if your installed jvm is not an IBM jvm, you also have to remove the parameter -Xj9 from the following line in rcpinstall.properties
Code:

vmarg.com.ibm.rcp.jre.feature.xj9=

otherwise the jvm won't start.

If you run several java programs at once, like Notes and Eclipse, you can save memory by emerging the latest IBM JDK 1.5 (it's in portage, may be ~arch). This JVM supports class sharing between different JVMs running, which will speed up loading and save a lot of memory. To use this feature, you have to append the parameter -Xshareclasses to the java command to run the program. Eclipse and Notes have their own loader, but you can add this parameter to the commands like this:
Code:

Notes:
$NOTESBIN/rcp/richclient -vm /usr/bin/java -personality com.ibm.workplace.noteswc.standalone.linux.personality -vmargs -Xshareclasses
Eclipse:
eclipse-3.2 -vm /usr/bin/java -vmargs -Xshareclasses


Have Fun!!
Back to top
View user's profile Send private message
makenoob
Apprentice
Apprentice


Joined: 19 Aug 2004
Posts: 272
Location: /Germany/Düsseldorf

PostPosted: Tue Aug 01, 2006 4:15 pm    Post subject: Reply with quote

hi therealpete,

i have emerge seamonkey-1.0.2 and edited the /etc/gre.conf to
Code:

marc@localhost ~/download/notes $ cat /etc/gre.conf
[1.0.2]
GRE_PATH="/usr/lib/seamonkey"


when i run the setup_wct_platform.bin, the installshield wizard comes up and says, that it cannot validate the mozilla version. in this thread someone reports, that the fedora versions are needed.

EDIT: unmerged seamonkey and emerged mozilla-1.17.3, doesn't work either

tia,
marc

ps: running amd64
Back to top
View user's profile Send private message
therealpete
n00b
n00b


Joined: 02 Feb 2004
Posts: 5

PostPosted: Tue Aug 01, 2006 7:07 pm    Post subject: Reply with quote

make that

Code:

[1.7.12]
GRE_PATH="/usr/lib/seamonkey"


what I meant with my posting was that the version of the installed browser, like seamonkey 1.0.5, is not important, what's important is that it says 1.7.12 in /etc/gre.conf, because that is what the installer checks.
Back to top
View user's profile Send private message
makenoob
Apprentice
Apprentice


Joined: 19 Aug 2004
Posts: 272
Location: /Germany/Düsseldorf

PostPosted: Tue Aug 01, 2006 8:55 pm    Post subject: Reply with quote

reinstalled seamonkey, changed /etc/gre.conf to match yours, but the results are the same error message as before, that the installer "can not validate the mozilla-version".

do i need the 32-bit libraries?
Back to top
View user's profile Send private message
makenoob
Apprentice
Apprentice


Joined: 19 Aug 2004
Posts: 272
Location: /Germany/Düsseldorf

PostPosted: Wed Aug 02, 2006 5:05 pm    Post subject: Reply with quote

argh, removed the quotes and now the installation works :oops:

sorry for the noise
Back to top
View user's profile Send private message
makenoob
Apprentice
Apprentice


Joined: 19 Aug 2004
Posts: 272
Location: /Germany/Düsseldorf

PostPosted: Wed Aug 02, 2006 6:03 pm    Post subject: Reply with quote

okay, the workplace clients installed so far, but a new problem arises:

when starting it, it produces a lot of output and breaks with a error:
Code:

marc@localhost ~ $ IBM/workplaceclient/rcp/richclient -personality com.ibm.workplace.noteswc.standalone.linux.personality
ld_library_path_value -->/home/marc/notes/jvm/bin/classic:/home/marc/notes/jvm/bin:/home/marc/notes
setPreload():libraryDirPath:/home/marc/IBM/workplaceclient/rcp/eclipse/features/com.ibm.rcp.jre.linux.feature_1.3.0/jre/bin/
MANPATH=/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.16.1/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/3.4.6/man::/opt/blackdown-jdk-1.4.2.03/man:/usr/qt/3/doc/man
SSH_AGENT_PID=1005
HOSTNAME=localhost
TERM=xterm
DESKTOP_STARTUP_ID=
SHELL=/bin/bash
GTK_RC_FILES=/etc/gtk/gtkrc:/home/marc/.gtkrc-1.2-gnome2
WINDOWID=46137397
QTDIR=/usr/qt/3
http_proxy=http://192.168.75.20:8080/
USER=marc
PRELINK_PATH_MASK=/usr/lib/gstreamer-0.10:/usr/lib/gstreamer-0.8
LD_LIBRARY_PATH=/home/marc/IBM/workplaceclient/rcp/eclipse/features/com.ibm.rcp.jre.linux.feature_1.3.0/jre/bin/:/home/marc/notes/jvm/bin/classic:/home/marc/notes/jvm/bin:/home/marc/notes
GDK_USE_XFT=1
GNOME_KEYRING_SOCKET=/tmp/keyring-O1K1zP/socket
SSH_AUTH_SOCK=/tmp/ssh-XUtqvZT971/agent.971
SESSION_MANAGER=local/localhost:/tmp/.ICE-unix/971
USERNAME=marc
CONFIG_PROTECT_MASK=/etc/gconf /etc/terminfo /etc/revdep-rebuild
PAGER=/usr/bin/less
XINITRC=/etc/X11/xinit/xinitrc
DESKTOP_SESSION=gnome
PATH=/home/marc/notes/jvm/bin:/home/marc/notes:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/3.4.6:/opt/blackdown-jdk-1.4.2.03/bin:/opt/blackdown-jdk-1.4.2.03/jre/bin:/usr/kde/3.5/bin:/usr/qt/3/bin:/usr/kde/3.4/bin:/usr/games/bin
GDM_XSERVER_LOCATION=local
PWD=/home/marc
DISTCC_LOG=
JAVA_HOME=/opt/blackdown-jdk-1.4.2.03
NOTESBIN=/home/marc/notes
JAVAC=/opt/blackdown-jdk-1.4.2.03/bin/javac
EDITOR=/usr/bin/vim
KDEDIRS=/usr
QMAKESPEC=linux-g++
DCCC_PATH=/usr/lib/distcc/bin
DISTCC_VERBOSE=0
GDMSESSION=gnome
HOME=/home/marc
SHLVL=1
JDK_HOME=/opt/blackdown-jdk-1.4.2.03
NOTESDATA=/home/marc/notes/data
no_proxy=localhost,127.0.0.0/8,192.168.75.0/24,192.168.83.0/24,tear.agentur.local,spirit.agentur.local,phpmyadmin.dmz.agentur.local
GNOME_DESKTOP_SESSION_ID=Default
LOGNAME=marc
PYTHONPATH=/usr/lib/portage/pym
LESS=-R -M --shift 5
G_FILENAME_ENCODING=UTF-8
GCC_SPECS=
CVS_RSH=ssh
CLASSPATH=/home/marc/notes:.
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oDUrbpyGMV,guid=e1dbd04444f68ba4d8d212803504be00
LESSOPEN=|lesspipe.sh %s
INFOPATH=/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.16.1/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/3.4.6/info
DISPLAY=:0.0
OPENGL_PROFILE=xorg-x11
CONFIG_PROTECT=/usr/lib/X11/xkb /usr/kde/3.5/share/config /usr/kde/3.5/env /usr/kde/3.5/shutdown /usr/kde/3.4/share/config /usr/kde/3.4/env /usr/kde/3.4/shutdown /usr/share/config
G_BROKEN_FILENAMES=1
COLORTERM=gnome-terminal
XAUTHORITY=/home/marc/.Xauthority
_=IBM/workplaceclient/rcp/richclient
JAVA_HIGH_ZIPFDS=500
MOZILLA_FIVE_HOME=/usr/../usr/lib/seamonkey
/home/marc/notes/jvm/bin/classic:/home/marc/notes/jvm/bin:/home/marc/notes=/home/marc/notes/jvm/bin/classic:/home/marc/notes/jvm/bin:/home/marc/notes:/usr/../usr/lib/seamonkey
LD_PRELOAD=libjsig.so
Unable to grab sid lock.


this error, i think it's an abend, occurs with
Code:

vm=/home/marc/IBM/workplaceclient/rcp/eclipse/features/com.ibm.rcp.jre.linux.feature_1.3.0/jre/bin/java

and
Code:

vm=/opt/blackdown-jdk-1.4.2.03/bin/java


any ideas anyone? i don't have a clue which sid lock the client wants to grab.

tia,
marc

starting it as normal user, btw.
Back to top
View user's profile Send private message
buschaot
n00b
n00b


Joined: 05 Aug 2006
Posts: 2
Location: Berlin, Germany

PostPosted: Sat Aug 05, 2006 9:18 pm    Post subject: installation doesn't work Reply with quote

I followed the steps in the guide, but everything I got during installation was this:

Code:

$ ./setup_wct_platform.bin
InstallShield Wizard

InstallShield Wizard wird initialisiert...

Java(tm) Virtual Machine wird vorbereitet...
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
...................................
$


There was no error code or anything appearing. Can anybody help there?

Greetings,
buschaot
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 839
Location: Berlin

PostPosted: Tue Aug 15, 2006 11:21 am    Post subject: Reply with quote

Hello.

Is this client 64bit compatible? I get a shared library error.

Code:
/home/thomas/notes/notes: error while loading shared libraries: libgnomeprint-2-2.so.0: cannot open shared object file: No such file or directory
nsdexec: notespid = 20390

Code:
thomas@commander ~ $ locate libgnomeprint-2-2.so.0
/usr/lib64/libgnomeprint-2-2.so.0.1.0
/usr/lib64/libgnomeprint-2-2.so.0

Code:
thomas@commander ~ $ ldd /usr/lib64/libgnomeprint-2-2.so.0
        libart_lgpl_2.so.2 => /usr/lib/libart_lgpl_2.so.2 (0x00002ad0293fd000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00002ad029513000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00002ad02963b000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00002ad02977a000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00002ad0298bb000)
        libdl.so.2 => /lib/libdl.so.2 (0x00002ad0299be000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00002ad029ac3000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00002ad029c55000)
        libm.so.6 => /lib/libm.so.6 (0x00002ad029e8d000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00002ad029fe3000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x00002ad02a121000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00002ad02a243000)
        libz.so.1 => /lib/libz.so.1 (0x00002ad02a3bd000)
        libc.so.6 => /lib/libc.so.6 (0x00002ad02a4d1000)
        /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
Back to top
View user's profile Send private message
makenoob
Apprentice
Apprentice


Joined: 19 Aug 2004
Posts: 272
Location: /Germany/Düsseldorf

PostPosted: Tue Aug 15, 2006 2:20 pm    Post subject: Reply with quote

himpierre wrote:
Hello.

Is this client 64bit compatible? I get a shared library error.

Code:
/home/thomas/notes/notes: error while loading shared libraries: libgnomeprint-2-2.so.0: cannot open shared object file: No such file or directory
nsdexec: notespid = 20390

Code:
thomas@commander ~ $ locate libgnomeprint-2-2.so.0
/usr/lib64/libgnomeprint-2-2.so.0.1.0
/usr/lib64/libgnomeprint-2-2.so.0

Code:
thomas@commander ~ $ ldd /usr/lib64/libgnomeprint-2-2.so.0
        libart_lgpl_2.so.2 => /usr/lib/libart_lgpl_2.so.2 (0x00002ad0293fd000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00002ad029513000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00002ad02963b000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00002ad02977a000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00002ad0298bb000)
        libdl.so.2 => /lib/libdl.so.2 (0x00002ad0299be000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00002ad029ac3000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00002ad029c55000)
        libm.so.6 => /lib/libm.so.6 (0x00002ad029e8d000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00002ad029fe3000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x00002ad02a121000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00002ad02a243000)
        libz.so.1 => /lib/libz.so.1 (0x00002ad02a3bd000)
        libc.so.6 => /lib/libc.so.6 (0x00002ad02a4d1000)
        /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)


i had that very same problem. reinstalling the libraries and some revdep-rebuild runs solved the problem at my computer. but i am still stucked at the error i reported above. didn't have time to fetch the fedora-mozilla rpm and try to extract the libraries to test if that :(
Back to top
View user's profile Send private message
behd
Apprentice
Apprentice


Joined: 11 Feb 2003
Posts: 153

PostPosted: Thu Aug 17, 2006 1:37 pm    Post subject: Reply with quote

anyone get it working with a gcc 3.4.* ? (atm it's the only change that I can find between the 2 computers where I installed it)

Notes keeps crashing at startup and I can't find usefull informations in the logs...
Code:

nsdexec: notespid = 30747
GetACP returns 1252
Stack base = 0xbffc3cac, Stack size = 5740 bytes
Fatal Error signal = 0x0000000b PID/TID = 30747/-1269896992
8/17/2006 15:07:31  Running NSD
NSD is in progress .................

Please attach the following files to your bug report along with the server log:
Log file                : /home/user/notes/data/IBM_TECHNICAL_SUPPORT/nsd_Linux_laptop_2006_08_17@15_07_33.log
8/17/2006 15:07:53  Termination is in progress
8/17/2006 15:07:53  Terminating tasks
8/17/2006 15:08:03  Freeing resources
8/17/2006 15:08:03  Termination completed
Back to top
View user's profile Send private message
weni
n00b
n00b


Joined: 13 Mar 2006
Posts: 33

PostPosted: Tue Dec 05, 2006 10:46 pm    Post subject: Reply with quote

For people who get seg faults when notes starts, here is quick and dirty hack:

emerge openmotif (if you don't have already)
cp /home/<user>/notes/*.so /usr/lib

It worked for me. If you still can't start it, go to /home/<user>/notes and run lnotes. It should print something like this:

Code:
Can not find shared library: xxx.so


Find this file and copy it to /usr/lib

Hope this helps.
Back to top
View user's profile Send private message
ianw1974
Guru
Guru


Joined: 18 Oct 2006
Posts: 377
Location: UK and Poland

PostPosted: Thu May 17, 2007 8:25 am    Post subject: Reply with quote

I've wrote a *rather* comprehensive howto for this client here:

http://www.linuxsolutions.org/index.php?option=com_content&task=view&id=37&Itemid=26

distros I've got it working on are listed at the bottom of the page, in excess of 5 distros plus.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum